*** milkytracker-0.90.85/configure.in	2009-09-17 20:35:47.231496000 +0100
--- milkytracker-trunk/configure.in	2010-01-05 10:03:17.292774154 +0000
***************
*** 43,49 ****
  
  AC_SEARCH_LIBS(gzopen, z, AC_DEFINE([HAVE_LIBZ], [1], [Define to 1 if you have the 'libz' library.]),)
  #AC_CHECK_LIB(zzip, zzip_file_open,,AC_MSG_ERROR("Cannot find -lzzip"))
! PKG_CHECK_MODULES([ZZIP],[zziplib >= 0.10.75])
  
  SDL_VERSION=1.2.0
  AM_PATH_SDL($SDL_VERSION,, AC_MSG_ERROR([Please install libSDL]))
--- 43,49 ----
  
  AC_SEARCH_LIBS(gzopen, z, AC_DEFINE([HAVE_LIBZ], [1], [Define to 1 if you have the 'libz' library.]),)
  #AC_CHECK_LIB(zzip, zzip_file_open,,AC_MSG_ERROR("Cannot find -lzzip"))
! #PKG_CHECK_MODULES([ZZIP],[zziplib >= 0.10.75])
  
  SDL_VERSION=1.2.0
  AM_PATH_SDL($SDL_VERSION,, AC_MSG_ERROR([Please install libSDL]))
*** milkytracker-0.90.85/configure	2010-01-02 00:03:37.602601121 +0000
--- milkytracker-trunk/configure	2010-01-05 10:03:38.372781464 +0000
***************
*** 599,607 ****
  SDL_LIBS
  SDL_CFLAGS
  SDL_CONFIG
- ZZIP_LIBS
- ZZIP_CFLAGS
- PKG_CONFIG
  ALSA_LIBS
  ALSA_CFLAGS
  RTMIDI_DIR
--- 599,604 ----
***************
*** 717,726 ****
  CCC
  CC
  CFLAGS
! CPP
! PKG_CONFIG
! ZZIP_CFLAGS
! ZZIP_LIBS'
  
  
  # Initialize some variables set by options.
--- 714,720 ----
  CCC
  CC
  CFLAGS
! CPP'
  
  
  # Initialize some variables set by options.
***************
*** 1363,1371 ****
    CC          C compiler command
    CFLAGS      C compiler flags
    CPP         C preprocessor
-   PKG_CONFIG  path to pkg-config utility
-   ZZIP_CFLAGS C compiler flags for ZZIP, overriding pkg-config
-   ZZIP_LIBS   linker flags for ZZIP, overriding pkg-config
  
  Use these variables to override the choices made by `configure' or to help
  it to find libraries and programs with nonstandard names/locations.
--- 1357,1362 ----
***************
*** 5313,5524 ****
  fi
  
  #AC_CHECK_LIB(zzip, zzip_file_open,,AC_MSG_ERROR("Cannot find -lzzip"))
! 
! 
! if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
! 	if test -n "$ac_tool_prefix"; then
!   # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
! set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
! { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
! $as_echo_n "checking for $ac_word... " >&6; }
! if test "${ac_cv_path_PKG_CONFIG+set}" = set; then :
!   $as_echo_n "(cached) " >&6
! else
!   case $PKG_CONFIG in
!   [\\/]* | ?:[\\/]*)
!   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
!   ;;
!   *)
!   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
! for as_dir in $PATH
! do
!   IFS=$as_save_IFS
!   test -z "$as_dir" && as_dir=.
!     for ac_exec_ext in '' $ac_executable_extensions; do
!   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
!     ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
!     $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
!     break 2
!   fi
! done
!   done
! IFS=$as_save_IFS
! 
!   ;;
! esac
! fi
! PKG_CONFIG=$ac_cv_path_PKG_CONFIG
! if test -n "$PKG_CONFIG"; then
!   { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PKG_CONFIG" >&5
! $as_echo "$PKG_CONFIG" >&6; }
! else
!   { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
! $as_echo "no" >&6; }
! fi
! 
! 
! fi
! if test -z "$ac_cv_path_PKG_CONFIG"; then
!   ac_pt_PKG_CONFIG=$PKG_CONFIG
!   # Extract the first word of "pkg-config", so it can be a program name with args.
! set dummy pkg-config; ac_word=$2
! { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
! $as_echo_n "checking for $ac_word... " >&6; }
! if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then :
!   $as_echo_n "(cached) " >&6
! else
!   case $ac_pt_PKG_CONFIG in
!   [\\/]* | ?:[\\/]*)
!   ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
!   ;;
!   *)
!   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
! for as_dir in $PATH
! do
!   IFS=$as_save_IFS
!   test -z "$as_dir" && as_dir=.
!     for ac_exec_ext in '' $ac_executable_extensions; do
!   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
!     ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
!     $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
!     break 2
!   fi
! done
!   done
! IFS=$as_save_IFS
! 
!   ;;
! esac
! fi
! ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
! if test -n "$ac_pt_PKG_CONFIG"; then
!   { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_pt_PKG_CONFIG" >&5
! $as_echo "$ac_pt_PKG_CONFIG" >&6; }
! else
!   { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
! $as_echo "no" >&6; }
! fi
! 
!   if test "x$ac_pt_PKG_CONFIG" = x; then
!     PKG_CONFIG=""
!   else
!     case $cross_compiling:$ac_tool_warned in
! yes:)
! { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
! $as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
! ac_tool_warned=yes ;;
! esac
!     PKG_CONFIG=$ac_pt_PKG_CONFIG
!   fi
! else
!   PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
! fi
! 
! fi
! if test -n "$PKG_CONFIG"; then
! 	_pkg_min_version=0.9.0
! 	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking pkg-config is at least version $_pkg_min_version" >&5
! $as_echo_n "checking pkg-config is at least version $_pkg_min_version... " >&6; }
! 	if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
! 		{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
! $as_echo "yes" >&6; }
! 	else
! 		{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
! $as_echo "no" >&6; }
! 		PKG_CONFIG=""
! 	fi
! 
! fi
! 
! pkg_failed=no
! { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ZZIP" >&5
! $as_echo_n "checking for ZZIP... " >&6; }
! 
! if test -n "$PKG_CONFIG"; then
!     if test -n "$ZZIP_CFLAGS"; then
!         pkg_cv_ZZIP_CFLAGS="$ZZIP_CFLAGS"
!     else
!         if test -n "$PKG_CONFIG" && \
!     { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"zziplib >= 0.10.75\""; } >&5
!   ($PKG_CONFIG --exists --print-errors "zziplib >= 0.10.75") 2>&5
!   ac_status=$?
!   $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
!   test $ac_status = 0; }; then
!   pkg_cv_ZZIP_CFLAGS=`$PKG_CONFIG --cflags "zziplib >= 0.10.75" 2>/dev/null`
! else
!   pkg_failed=yes
! fi
!     fi
! else
! 	pkg_failed=untried
! fi
! if test -n "$PKG_CONFIG"; then
!     if test -n "$ZZIP_LIBS"; then
!         pkg_cv_ZZIP_LIBS="$ZZIP_LIBS"
!     else
!         if test -n "$PKG_CONFIG" && \
!     { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"zziplib >= 0.10.75\""; } >&5
!   ($PKG_CONFIG --exists --print-errors "zziplib >= 0.10.75") 2>&5
!   ac_status=$?
!   $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
!   test $ac_status = 0; }; then
!   pkg_cv_ZZIP_LIBS=`$PKG_CONFIG --libs "zziplib >= 0.10.75" 2>/dev/null`
! else
!   pkg_failed=yes
! fi
!     fi
! else
! 	pkg_failed=untried
! fi
! 
! 
! 
! if test $pkg_failed = yes; then
! 
! if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
!         _pkg_short_errors_supported=yes
! else
!         _pkg_short_errors_supported=no
! fi
!         if test $_pkg_short_errors_supported = yes; then
! 	        ZZIP_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "zziplib >= 0.10.75"`
!         else
! 	        ZZIP_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "zziplib >= 0.10.75"`
!         fi
! 	# Put the nasty error message in config.log where it belongs
! 	echo "$ZZIP_PKG_ERRORS" >&5
! 
! 	as_fn_error "Package requirements (zziplib >= 0.10.75) were not met:
! 
! $ZZIP_PKG_ERRORS
! 
! Consider adjusting the PKG_CONFIG_PATH environment variable if you
! installed software in a non-standard prefix.
! 
! Alternatively, you may set the environment variables ZZIP_CFLAGS
! and ZZIP_LIBS to avoid the need to call pkg-config.
! See the pkg-config man page for more details.
! " "$LINENO" 5
! elif test $pkg_failed = untried; then
! 	{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
! $as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
! as_fn_error "The pkg-config script could not be found or is too old.  Make sure it
! is in your PATH or set the PKG_CONFIG environment variable to the full
! path to pkg-config.
! 
! Alternatively, you may set the environment variables ZZIP_CFLAGS
! and ZZIP_LIBS to avoid the need to call pkg-config.
! See the pkg-config man page for more details.
! 
! To get pkg-config, see <http://pkg-config.freedesktop.org/>.
! See \`config.log' for more details." "$LINENO" 5; }
! else
! 	ZZIP_CFLAGS=$pkg_cv_ZZIP_CFLAGS
! 	ZZIP_LIBS=$pkg_cv_ZZIP_LIBS
!         { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
! $as_echo "yes" >&6; }
! 	:
! fi
  
  SDL_VERSION=1.2.0
  
--- 5304,5310 ----
  fi
  
  #AC_CHECK_LIB(zzip, zzip_file_open,,AC_MSG_ERROR("Cannot find -lzzip"))
! #PKG_CHECK_MODULES([ZZIP],[zziplib >= 0.10.75])
  
  SDL_VERSION=1.2.0
  
